Vulnerability Name:

CVE-2017-3320

Assigned:2016-12-06
Published:2017-01-17
Updated:2017-12-07
Summary:Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Server: Security: Encryption). Supported versions that are affected are 5.7.16 and earlier. Easily exploitable vulnerability allows high privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks require human interaction from a person other than the attacker. Successful attacks of this vulnerability can result in unauthorized read access to a subset of MySQL Server accessible data. CVSS v3.0 Base Score 2.4 (Confidentiality impacts).
CVSS v3 Severity:2.4 Low (CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:H/UI:R/S:U/C:L/I:N/A:N)
2.1 Low (Temporal CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:H/UI:R/S:U/C:L/I:N/A:N/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): High
User Interaction (UI): Required
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): Low
Integrity (I): None
Availibility (A): None
2.4 Low (CCN CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:H/UI:R/S:U/C:L/I:N/A:N)
2.1 Low (CCN Temporal CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:H/UI:R/S:U/C:L/I:N/A:N/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): High
User Interaction (UI): Required
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): Low
Integrity (I): None
Availibility (A): None
CVSS v2 Severity:3.5 Low (CVSS v2 Vector: AV:N/AC:M/Au:S/C:P/I:N/A:N)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Medium
Authentication (Au): Single_Instance
Impact Metrics:Confidentiality (C): Partial
Integrity (I): None
Availibility (A): None
3.5 Low (CCN CVSS v2 Vector: AV:N/AC:M/Au:S/C:P/I:N/A:N)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Medium
Athentication (Au): Single_Instance
Impact Metrics:Confidentiality (C): Partial
Integrity (I): None
Availibility (A): None
Vulnerability Type:CWE-284
References:Source: CONFIRM
Type: VENDOR_ADVISORY
http://www.oracle.com/technetwork/security-advisory/cpujan2017-2881727.html

Source: BID
Type: UNKNOWN
95470

Source: SECTRACK
Type: UNKNOWN
1037640

Source: REDHAT
Type: UNKNOWN
RHSA-2017:2886

Source: XF
Type: UNKNOWN
oracle-cpujan2017-cve20173320(120898)

Source: GENTOO
Type: UNKNOWN
GLSA-201702-17

Vulnerable Configuration:Configuration 1:
  • cpe:/a:oracle:mysql:5.7.16:*:*:*:*:*:*:*

  • Denotes that component is vulnerable
    Oval Definitions
    Definition IDClassTitleLast Modified
    oval:org.cisecurity:def:1816
    V
    Vulnerability in MySQL Server 5.5.53 and earlier – CVE-2017-3320
    2017-03-10
    oval:com.ubuntu.precise:def:20173320000
    V
    CVE-2017-3320 on Ubuntu 12.04 LTS (precise) - medium.
    2017-01-27
    oval:com.ubuntu.trusty:def:20173320000
    V
    CVE-2017-3320 on Ubuntu 14.04 LTS (trusty) - medium.
    2017-01-27
    oval:com.ubuntu.xenial:def:20173320000
    V
    CVE-2017-3320 on Ubuntu 16.04 LTS (xenial) - medium.
    2017-01-27
    BACK
    oracle mysql 5.7.16